(defun parse-partials(parlist pcount)
	(prog(pnum npoints start end pinfo pdata)
		(setf pinfo (car parlist))
		(setf pdata (cadr parlist))
		(setf pnum (car pinfo))
		(cond ((= pnum pcount) (return t))
			(t
				(setf npoints (nth 1 pinfo))
				(setf start (nth 2 pinfo))
				(setf end (nth 3 pinfo))
				(format t "~D ~D ~F ~F" pnum npoints start end) (terpri)
;				(print-list `(,pnum ,npoints ,start ,end)) (terpri)
				(go-partials pdata npoints) (terpri)
				(return (parse-partials (cddr parlist) pcount))
			)
		)
	)
)

(defun print-list(ll)
	(cond ((null ll) t)
		(t
;			(princ (car ll))
			(format t "~F" (car ll))
			(princ " ")
			(print-list (cdr ll))
		)
	)
)

(defun go-partials(pdata npoints)
	(prog (time freq amp)
		(cond ((= npoints 0) (return t))
			(t
				(setf time (nth 0 pdata))
				(setf freq (nth 1 pdata))
				(setf amp (nth 2 pdata))
; right here is where the ACTION is!  modify time/freq/amp before printing
				(print-list `(,time ,freq ,amp))
				(go-partials (cdddr pdata) (- npoints 1))
			)
		)
	)
)

(defun frandom(num) (prog(mnum)
   (setq mnum (* 1000 num))
   (return (/ (random mnum) 1000.0))
   )
)


